Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.objects
Class X509PublicKeyCertificate

    java.lang.Object
      iaik.pkcs.pkcs11.objects.Object
          iaik.pkcs.pkcs11.objects.Storage
              iaik.pkcs.pkcs11.objects.Certificate
                  iaik.pkcs.pkcs11.objects.X509PublicKeyCertificate

All Implemented Interfaces:
  Cloneable

public class X509PublicKeyCertificate
extends Certificate

Objects of this class represent X.509 public key certificate as specified by PKCS#11 v2.11.

Invariants
  (subject_ <> null) and (id_ <> null) and (issuer_ <> null) and (serialNumber_ <> null) and (value_ <> null)

Nested Class Summary

Nested classes inherited from class iaik.pkcs.pkcs11.objects.Certificate
`Certificate.CertificateType, Certificate.VendorDefinedCertificateBuilder`

Nested classes inherited from class iaik.pkcs.pkcs11.objects.Object
`Object.ObjectClass, Object.VendorDefinedObjectBuilder`

Field Summary
`protected ByteArrayAttribute` | `id_` The ID attribute of this certificate.
`protected ByteArrayAttribute` | `issuer_` The issuer attribute of this certificate.
`protected ByteArrayAttribute` | `serialNumber_` The serial number attribute of this certificate.
`protected ByteArrayAttribute` | `subject_` The subject attribute of this certificate.
`protected ByteArrayAttribute` | `value_` The value attribute of this certificate; i.e.

Fields inherited from class iaik.pkcs.pkcs11.objects.Certificate
`certificateType_, trusted_, vendorCertificateBuilder_`

Fields inherited from class iaik.pkcs.pkcs11.objects.Storage
`label_, modifiable_, private_, token_`

Fields inherited from class iaik.pkcs.pkcs11.objects.Object
`attributeTable_, objectClass_, objectClassNames_, objectHandle_, vendorObjectBuilder_`

Constructor Summary
`` | `X509PublicKeyCertificate()` Deafult Constructor.
`protected` | `X509PublicKeyCertificate(Session session, long objectHandle)` Called by getInstance to create an instance of a PKCS#11 X.509 public key certificate.

Method Summary
`protected void` | `allocateAttributes()` Allocates the attribute objects for this class and adds them to the attribute table.
`Object` | `clone()` Create a (deep) clone of this object.
`boolean` | `equals(Object otherObject)` Compares all member variables of this object with the other object.
`ByteArrayAttribute` | `getId()` Gets the ID attribute of this X.509 public key certificate.
`static Object` | `getInstance(Session session, long objectHandle)` The getInstance method of the Certificate class uses this method to create an instance of a PKCS#11 X.509 public key certificate.
`ByteArrayAttribute` | `getIssuer()` Gets the issuer attribute of this X.509 public key certificate.
`ByteArrayAttribute` | `getSerialNumber()` Gets the serial number attribute of this X.509 public key certificate.
`ByteArrayAttribute` | `getSubject()` Gets the subject attribute of this X.509 public key certificate.
`ByteArrayAttribute` | `getValue()` Gets the value attribute of this X.509 public key certificate.
`int` | `hashCode()` The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
`protected static void` | `putAttributesInTable(X509PublicKeyCertificate object)` Put all attributes of the given object into the attributes table of this object.
`void` | `readAttributes(Session session)` Read the values of the attributes of this object from the token.
`String` | `toString()` This method returns a string representation of the current object.

Methods inherited from class iaik.pkcs.pkcs11.objects.Certificate
`getCertificateType, getCertificateTypeName, getTrusted, getUnknownCertificate, getVendorDefinedCertificateBuilder, putAttributesInTable, setVendorDefinedCertificateBuilder`

Methods inherited from class iaik.pkcs.pkcs11.objects.Storage
`getLabel, getModifiable, getPrivate, getToken, putAttributesInTable`

Methods inherited from class iaik.pkcs.pkcs11.objects.Object
`getAttributeTable, getAttributeValue, getObjectClass, getObjectClassName, getObjectHandle, getSetAttributes, getSetAttributes, getUnknownObject, getVendorDefinedObjectBuilder, putAttributesInTable, setObjectHandle, setVendorDefinedObjectBuilder`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### subject_

    protected ByteArrayAttribute subject_

  The subject attribute of this certificate.

### id_

    protected ByteArrayAttribute id_

  The ID attribute of this certificate.

### issuer_

    protected ByteArrayAttribute issuer_

  The issuer attribute of this certificate.

### serialNumber_

    protected ByteArrayAttribute serialNumber_

  The serial number attribute of this certificate. Notice that netscape needs the raw serial number, but PKCS#11 defines this attribute as DER encoded integer.

### value_

    protected ByteArrayAttribute value_

  The value attribute of this certificate; i.e. BER-encoded certificate.

Constructor Detail

### X509PublicKeyCertificate

    public X509PublicKeyCertificate()

  Deafult Constructor.

Preconditions
Postconditions

### X509PublicKeyCertificate

    protected X509PublicKeyCertificate(Session session,
                                       long objectHandle)
                                throws TokenException

  Called by getInstance to create an instance of a PKCS#11 X.509 public key certificate.

Parameters:
  `session` - The session to use for reading attributes. This session must have the appropriate rights; i.e. it must be a user-session, if it is a private object.
  `objectHandle` - The object handle as given from the PKCS#111 module.
Throws:
  `TokenException` - If getting the attributes failed.
Preconditions
  (session <> null)
Postconditions

Method Detail

### getInstance

    public static Object getInstance(Session session,
                                     long objectHandle)
                              throws TokenException

  The getInstance method of the Certificate class uses this method to create an instance of a PKCS#11 X.509 public key certificate.

  Parameters:
    `session` - The session to use for reading attributes. This session must have the appropriate rights; i.e. it must be a user-session, if it is a private object.
    `objectHandle` - The object handle as given from the PKCS#111 module.
  Returns:
    The object representing the PKCS#11 object. The returned object can be casted to the according sub-class.
  Throws:
    `TokenException` - If getting the attributes failed.
  Preconditions
    (session <> null)
  Postconditions
    (result <> null)

### putAttributesInTable

    protected static void putAttributesInTable(X509PublicKeyCertificate object)

  Put all attributes of the given object into the attributes table of this object. This method is only static to be able to access invoke the implementation of this method for each class separately (see use in clone()).

  Parameters:
    `object` - The object to handle.
  Preconditions
    (object <> null)
  Postconditions

### allocateAttributes

    protected void allocateAttributes()

  Allocates the attribute objects for this class and adds them to the attribute table.

  Overrides:
    `allocateAttributes` in class `Certificate`
  Preconditions
  Postconditions

### clone

    public Object clone()

  Create a (deep) clone of this object.

  Overrides:
    `clone` in class `Certificate`
  Returns:
    A clone of this object.
  Preconditions
  Postconditions
    (result <> null) and (result instanceof X509PublicKeyCertificate) and (result.equals(this))

### equals

    public boolean equals(Object otherObject)

  Compares all member variables of this object with the other object. Returns only true, if all are equal in both objects.

  Overrides:
    `equals` in class `Certificate`
  Parameters:
    `otherObject` - The other object to compare to.
  Returns:
    True, if other is an instance of this class and all member variables of both objects are equal. False, otherwise.
  Preconditions
  Postconditions

### getSubject

    public ByteArrayAttribute getSubject()

  Gets the subject attribute of this X.509 public key certificate.

  Returns:
    The subject attribute of this X.509 public key certificate.
  Preconditions
  Postconditions
    (result <> null)

### getId

    public ByteArrayAttribute getId()

  Gets the ID attribute of this X.509 public key certificate.

  Returns:
    The ID attribute of this X.509 public key certificate.
  Preconditions
  Postconditions
    (result <> null)

### getIssuer

    public ByteArrayAttribute getIssuer()

  Gets the issuer attribute of this X.509 public key certificate.

  Returns:
    The issuer attribute of this X.509 public key certificate.
  Preconditions
  Postconditions
    (result <> null)

### getSerialNumber

    public ByteArrayAttribute getSerialNumber()

  Gets the serial number attribute of this X.509 public key certificate.

  Returns:
    The serial number attribute of this X.509 public key certificate.
  Preconditions
  Postconditions
    (result <> null)

### getValue

    public ByteArrayAttribute getValue()

  Gets the value attribute of this X.509 public key certificate.

  Returns:
    The value attribute of this X.509 public key certificate.
  Preconditions
  Postconditions
    (result <> null)

### hashCode

    public int hashCode()

  The overriding of this method should ensure that the objects of this class work correctly in a hashtable.

  Overrides:
    `hashCode` in class `Certificate`
  Returns:
    The hash code of this object.
  Preconditions
  Postconditions

### readAttributes

    public void readAttributes(Session session)
                        throws TokenException

  Read the values of the attributes of this object from the token.

  Overrides:
    `readAttributes` in class `Certificate`
  Parameters:
    `session` - The session handle to use for reading attributes. This session must have the appropriate rights; i.e. it must be a user-session, if it is a private object.
  Throws:
    `TokenException` - If getting the attributes failed.
  Preconditions
    (session <> null)
  Postconditions

### toString

    public String toString()

  This method returns a string representation of the current object. The output is only for debugging purposes and should not be used for other purposes.

  Overrides:
    `toString` in class `Certificate`
  Returns:
    A string presentation of this object for debugging output.
  Preconditions
  Postconditions
    (result <> null)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.